                              Pagina I
Indice
7. Le funzioni interne di MB408L.....1
 7.1 La gestione dei file ...........3
 7.2 La visualizzazione di un file .11
 7.3 La scrittura di un file .......16
 7.4 Le funz. di conteggio tempo ...20
 7.5 La calcolatrice ...............22
 7.6 Il trasferimento dei file .....28
 7.7 L'unit a dischetti esterna ...34
8. Le Funzioni di Servizio..........39
 8.1 L'editor del font Braille .....40
 8.2 Le altre funzioni .............43
9. Il programma MBCOM...............46
 9.1 Il trasferimento dati .........47
10. Il programma FEDIT..............54
11. Il programma TESTHW.............58
Appendice 1.........................60
 Lista funzioni raggruppate per tipo60
 Lista funzioni in ordine di tasto. 68
Appendice 3.........................75
 A3.1 Gli errori del term. MB408L ..75
 A3.2 Gli errori del programma
 MB408L.EXE ........................78
 A3.3 Gli errori del programma
 MBCOM.EXE .........................80
 
                              Pagina 1

7. Le funzioni interne di MB408L

Il terminale Braille MB408L possiede
una serie di funzioni interne indipen-
denti dal funzionamento con il PC. Al
suo interno pu infatti immagazzinare
file di testo che possono essere con-
sultati oppure modificati, oppure ese-
guire operazioni matematiche tramite
una calcolatrice scientifica incorpo-
rata; possiede inoltre un cronometro
al decimo di secondo. Tutte queste
funzionalit verranno descritte detta-
gliatamente in questo capitolo.

Nel seguito si far a volte riferimen-
to alla pressione di alcuni tasti, co-
me per esempio "ENTER" oppure "ESC".
Per "premere il tasto ENTER" si inten-
de battere sulla tastiera Braille la
combinazione corrispondente (vedi il
file "TASTI.TXT" per una lista di tut-
te le combinazioni ammesse); se a
MB408L  stata collegata una tastiera
standard esterna, allora pu essere
anche battuto il tasto corrispondente
Pagina 2

su questa tastiera, il tasto di Invio
in questo caso.

Bisogna fare ora alcune considerazioni
di carattere generale. Durante l'uso
di queste funzioni  possibile che
vengano visualizzate delle domande a
due o pi scelte per poter indicare al
programma l'operazione da eseguire.
Per poter rispondere a queste domande
si hanno varie possibilit. Si pu
premere il pulsantino "touch" corri-
spondente alla voce scelta, oppure
premere il tasto ENTER o il tasto fun-
zione F0 per scegliere la voce attiva,
o ancora premere il tasto ESC per an-
nullare l'operazione richiesta. Per
esempio, quando si modifica un file,
al momento di uscire dalla funzione di
modifica viene posta la seguente do-
manda:

Salvo ? *Si* [No] [Annulla]

La voce attiva  sempre posta tra
asterischi e le voci non attive tra
                              Pagina 3

parentesi quadre. Per selezionare "Si"
basta premere il tasto ENTER oppure il
pulsantino in corrispondenza del "Si".

Per modificare la voce attiva usare i
tasti freccia posti sul frontale. In
questo caso premendo il tasto ESC si
annulla l'operazione e si rimane nella
funzione di modifica file.

Altre volte  richiesto un nome, per
esempio il nome con cui salvare un fi-
le; in tal caso inserire il nome desi-
derato e confermare con il tasto
ENTER.

7.1 La gestione dei file

Appena entrati nelle funzioni interne
di MB408L, viene mostrato il numero di
file presenti e la quantit di memoria
disponibile per immagazzinare nuovi
dati. Con i tasti freccia  possibile
scorrere la lista dei file attualmente
memorizzati:
Pagina 4

RG/DN = mostrano il file successivo
della lista.

LF/UP = mostrano il file precedente
della lista.

Premendo il pulsantino touch in corri-
spondenza del nome del file, appare
una "M" a fianco del nome, per indica-
re che il file  stato marcato. Per
selezionare o deselezionare tutti i
file presenti si possono utilizzare i
touch dei caratteri di controllo. Il
touch del primo carattere di controllo
seleziona tutti i file, mentre il se-
condo li deseleziona tutti. La "M" a
fianco del nome del file significa che
questo  selezionato per le operazioni
di trasferimento e cancellazione.

Una volta in fondo alla lista, viene
visualizzato di nuovo il numero di fi-
le e la memoria disponibile. Uscendo
dalle funzioni interne, MB408L memo-
rizza il file puntato in quel momento;
rientrando successivamente in queste
                              Pagina 5

funzioni e battendo un tasto freccia,
ci si porter subito nella posizione
della lista precedentemente memorizza-
ta.

Sono attivi i seguenti tasti funzione:

F1 = visualizza il file puntato. Vedi
paragrafo 7.2.

F2 = attiva l'unit a dischetti ester-
na. Vedi paragrafo 7.7.

F3 = attiva la funzione di cronometro.
Vedi paragrafo 7.4.

F5 = ordina la lista dei file per no-
me. I file vengono riordinati fisica-
mente e quindi viene mantenuto questo
ordine anche dopo lo spegnimento del
terminale. Al termine dell'operazione
di riordino viene emessa una breve se-
gnalazione acustica.
Pagina 6

F6 = mostra lo stato
dell'alimentazione. Possono venire vi-
sualizzati 3 messaggi:

- "Batteria in carica": il terminale
sta eseguendo un ciclo di carica della
batteria.
- "Batteria in mantenimento": il ter-
minale ha completato un ciclo di cari-
ca.
- "Batteria in uso": il terminale sta
funzionando a batteria.

Premere il tasto F0 per uscire dalla
funzione.

F7 = attiva il trasferimento file dal
PC. Vedi paragrafo 7.6.

F8 = cancella il file puntato oppure i
file marcati precedentemente. Viene
mostrato un messaggio di conferma con
le opzioni "Si" per cancellare il file
oppure "No" per annullare
l'operazione. Nel caso ci siano pi
file marcati, viene visualizzata anche
                              Pagina 7

la voce "Tutti". Selezionandola  ven-
gono cancellati tutti i file marcati
senza pi chiedere alcuna conferma.

F9 = attiva la calcolatrice. Vedi pa-
ragrafo 7.5.

F0 = esce dalle funzioni interne di
MB408L.

S-F1 = apre un file per la modifica.
Vedi paragrafo 7.3.

S-F3 = attiva il conto alla rovescia.
Vedi paragrafo 7.4.

S-F4 = seleziona il tipo di cursore
per le funzioni interne, a carattere
pieno o a trattino. I caratteri di
controllo riportano "C" seguito dalla
forma del cursore selezionato.

S-F5 = ordina la lista dei file per
dimensione. I file vengono riordinati
fisicamente e quindi viene mantenuto
questo ordine anche dopo lo spegnimen-
Pagina 8

to del terminale. Al termine
dell'operazione di riordino viene
emessa una breve segnalazione acusti-
ca.

S-F6 = visualizza il tempo di lavoro
della batteria. Vengono visualizzati 3
contatori che riportano un tempo in
ore e minuti. Il primo contatore "Ton"
visualizza il tempo trascorso con i
caratteri Braille attivi. Il secondo
contatore "Toff" visualizza il tempo
trascorso con i caratteri disattivi,
cio in stand-by. L'ultimo contatore
"Tvir" (tempo virtuale) visualizza la
somma di "Ton" pi la met di "Toff".
Il tempo virtuale tiene conto del di-
verso consumo di corrente da parte del
terminale quando i caratteri Braille
sono attivi e disattivi. In pratica
"Tvir"  un tempo proporzionale alla
corrente consumata dalla batteria.

Se azzeriamo i contatori dopo aver ri-
caricato la batteria e controlliamo
"Tvir" quando questa si  scaricata,
                              Pagina 9

troveremo sempre un tempo circa ugua-
le, attorno alle 20 ore per una batte-
ria pienamente funzionante. In questo
modo  possibile determinare (in modo
approssimativo) l'autonomia residua
della batteria; per esempio, quando
"Tvir"  a 12 ore, rimangono circa 8
ore di autonomia. Per azzerare i con-
tatori premere il tasto L-F5. Premere
il tasto F0 per uscire dalla funzione.

S-F7 = attiva la trasmissione dei file
verso il PC. Vedi paragrafo 7.6.

S-F8 = cancella tutti i file presenti.
Viene richiesto un messaggio di con-
ferma.

S-F9 = seleziona il Braille a 8 oppure
a 6 punti nell'ambito delle funzioni
interne; i caratteri di controllo ri-
portano B8 oppure B6.

L-F1 = apre un nuovo file. Vedi para-
grafo 7.3.
Pagina 10

L-F2 = seleziona il font Braille. I
caratteri di controllo riportano SF.
Questa funzione permette di seleziona-
re il font Braille fra 11 font fissi e
un font definito dall'utente. Utiliz-
zare i tasti RG/DN per scorrere la li-
sta in avanti, i tasti LF/UP per scor-
rerla all'indietro. Per uscire dalla
funzione premere il tasto F0. Vedi il
capitolo 8 per l'editing del font
utente.

L-F5 = formatta il dischetto
sull'unit floppy esterna. Per la ge-
stione dell'unit floppy vedi il capi-
tolo 7.7.

SL-F1 = riporta ai valori impostati di
default tutti i parametri per la ge-
stione delle funzioni interne.

SL-F8 = attiva/disattiva la segnala-
zione acustica alla pressione dei ta-
sti.

SL-F0 = help on-line. Mostra la lista
                             Pagina 11

delle funzioni interne di MB408L. Sono
attivi i seguenti tasti:

F1..SL-DN = mostrano un piccolo aiuto
relativo al tasto premuto.
RG = avanti di 40 caratteri.
LF = indietro di 40 caratteri.
UP = funzione precedente.
DN = funzione successiva.
L-F0 = esce dalla funzione.

La fine del testo di help di una fun-
zione  identificata da un carattere
tutto pieno. Se alla fine di una fun-
zione si preme ancora il tasto RG si
passa alla funzione successiva.

7.2 La visualizzazione di un file

La visualizzazione di un file permette
di poter leggere un file di qualsiasi
dimensione e di visualizzarlo in 3 mo-
dalit diverse. Inoltre  possibile
attivare una funzione di lettura auto-
matica a tempo, in modo che il testo
venga aggiornato automaticamente sulla
Pagina 12

riga Braille senza dover premere alcun
tasto. Quando si esce dalla funzione
di visualizzazione, viene memorizzata
la posizione raggiunta in quel momen-
to, in modo che alla successiva visua-
lizzazione si possa ripartire dalla
posizione lasciata. In questa funzione
di visualizzazione, i caratteri di
controllo riportano normalmente la
percentuale del testo letto.
All'interno della funzione sono attivi
i seguenti tasti:

F5 = seleziona la modalit di visua-
lizzazione. Tutte le volte che viene
premuto questo tasto si passa automa-
ticamente alla modalit successiva.
Le 3 modalit vengono identificate nel
seguente modo:

- TN = testo normale.
- TC = testo compresso.
- TF = testo formattato.

In modalit TN viene presentato il te-
sto esattamente come compare
                             Pagina 13

all'interno del file, compresi tutti
gli eventuali caratteri di controllo;
ci pu essere utile per sapere esat-
tamente come  composto il file che si
sta visualizzando.

In modalit TC viene presentato il te-
sto eliminando tutti gli spazi super-
flui e i caratteri di controllo.

In modalit TF viene presentato il te-
sto come apparirebbe sullo schermo del
PC. Quando viene incontrato un carat-
tere di controllo CR (che indica la
fine di una riga) vengono cancellati
tutti i caratteri successivi sulla ri-
ga Braille; premendo ancora il tasto
RG si passa alla lettura della riga
successiva.

LF=indietro di 40 caratteri.
UP=in alto di una riga in modalit TF,
oppure 40 caratteri indietro.
RG=avanti di 40 caratteri.
UP=in basso di una riga in modalit
TF, oppure 40 caratteri avanti.
Pagina 14

F1=vai all'inizio del testo.
F2=vai alla fine del testo.

F4 = seleziona il tempo per la lettura
automatica. I tasti RG/DN incrementano
il tempo, i tasti LF/UP decrementano
il tempo. Il tempo impostato rappre-
senta il numero di  secondi che tra-
scorrono da un aggiornamento
all'altro. Premere il tasto F0 per
uscire dalla funzione.

S-F3 = imposta una stringa da ricerca-
re ed effettua la prima ricerca. Im-
mettere la stringa da ricercare e con-
fermare con ENTER. Viene anche richie-
sto se si devono ignorare le maiuscole
e minuscole nella ricerca. Se viene
trovata la stringa indicata, MB408L
emette una singola segnalazione acu-
stica, diversamente una tripla segna-
lazione acustica di errore. La riga
Braille viene aggiornata con il testo
trovato. La ricerca parte sempre dal
primo carattere visualizzato sulla ri-
ga Braille e procede in avanti.
                             Pagina 15

F3 = ricerca il testo successivo. Ri-
cerca il testo precedentemente impo-
stato in avanti nel file. Riporta le
stesse segnalazioni acustiche gi de-
scritte.

L-F1 = attiva/disattiva il filtro ca-
ratteri semigrafici. Indica se i ca-
ratteri semigrafici (codice ASCII da
176 a 255) vanno saltati o meno quando
 attiva la modalit di visualizzazio-
ne "TC". I caratteri di controllo ri-
portano rispettivamente G- e G+.

L-F2 = attiva/disattiva il filtro sul
carattere di controllo CR (fine riga)
in modalit di visualizzazione "TF".
Indica se questo carattere (di codice
ASCII 13) deve venire visualizzato o
meno. I caratteri di controllo del di-
splay riportano rispettivamente C- e
C+.

S-DN = vai al paragrafo successivo. Si
posiziona sulla prima riga di testo
del paragrafo. Per paragrafo si inten-
Pagina 16

de un insieme di linee di testo deli-
mitato all'inizio ed alla fine da una
o pi righe vuote.

S-UP = vai al paragrafo precedente. Si
posiziona sulla prima riga di testo
del paragrafo.

F0 = esce dalla funzione.

7.3 La scrittura di un file

Con questa funzione  possibile modi-
ficare un file o crearne uno nuovo,
fino alla dimensione massima di 65.534
caratteri. Sui caratteri di controllo
 presente il numero di linea che si
sta visualizzando oppure il numero di
linea su cui  posizionato il cursore,
se si tiene premuto il tasto SHIFT. Il
numero visualizzato  in un formato a
4 cifre, vengono quindi visualizzate
al massimo le coordinate fino a 9999.
Premendo il touch sul secondo caratte-
re di controllo, vengono visualizzate
le coordinate di colonna. Per tornare
                             Pagina 17

a visualizzare le coordinate di riga
premere il primo touch.

Durante l'editing, per spostare il
cursore sul carattere desiderato basta
premere il pulsante touch relativo;
sono inoltre attivi i seguenti tasti
di controllo:

CANC: per cancellare il carattere nel-
la posizione del cursore.
BACKSPACE: per cancellare il carattere
a sinistra del cursore.
ENTER: per inserire un carattere di
fine riga.
INS: per commutare tra i modi
"inserimento" o "sovrascrittura" in
fase di scrittura del testo. Sui ca-
ratteri di controllo appaiono rispet-
tivamente le scritte "IN" o "OV". 

All'interno della funzione sono attivi
i seguenti tasti:

LF = indietro di 40 caratteri.
UP = in alto di una riga.
Pagina 18

RG = avanti di 40 caratteri.
UP = in basso di una riga.
F1 = vai all'inizio del testo.
F2 = vai alla fine del testo.
S-F3 = imposta una stringa da ricerca-
re ed effettua la prima ricerca. Im-
mettere la stringa da ricercare e con-
fermare con ENTER. Viene anche richie-
sto se si devono ignorare le maiuscole
e minuscole nella ricerca. Se viene
trovata la stringa, MB408L emette una
singola segnalazione acustica e ag-
giorna la riga Braille con il testo
trovato, spostando il cursore
all'inizio della stringa. La ricerca
parte sempre dalla posizione del cur-
sore e procede in avanti. Se la strin-
ga non viene trovata, viene emessa una
tripla segnalazione acustica di erro-
re.

F3 = ricerca il testo successivo. Ri-
cerca il testo precedentemente impo-
stato in avanti nel file partendo dal-
la posizione del cursore. Riporta le
stesse segnalazioni acustiche.
                             Pagina 19

F4 = vai alla posizione del cursore.
Porta il display Braille sulla posi-
zione del cursore.

S-DN = vai al paragrafo successivo. Si
posiziona sulla prima riga di testo
del paragrafo. Per paragrafo si inten-
de un insieme di linee di testo deli-
mitato all'inizio ed alla fine da una
o pi righe vuote.

S-UP = vai al paragrafo precedente. Si
posiziona sulla prima riga di testo
del paragrafo.

S-F4 = trova e rimpiazza un testo. Im-
postare la stringa da ricercare ed il
testo da sostituire. Viene anche ri-
chiesto se si devono ignorare le maiu-
scole e minuscole nella ricerca e se
rimpiazzare automaticamente tutte le
stringhe trovate, senza pi chiedere
alcuna conferma. Se viene trovata la
stringa di ricerca, MB408L emette una
doppia segnalazione acustica e, nel
caso in cui non sia stata selezionata
Pagina 20

l'opzione di sostituzione automatica,
attende un tasto per procedere; pi
precisamente:

F1 = sostituisce la stringa.
F6 = non sostituisce la stringa.
F5 = sostituisce la stringa e tutte le
successive senza pi chiedere confer-
ma.
F0 = interrompe la funzione di trova e
rimpiazza.

Sui caratteri di controllo appare la
scritta "RP".

7.4 Le funzioni di conteggio del tempo

Il terminale MB408L dispone di due
funzioni per il conteggio del tempo.
La prima  un vero e proprio cronome-
tro al decimo di secondo, la seconda 
un conteggio alla rovescia di un tempo
impostato.

Quando si entra nella funzione crono-
metro viene visualizzato il tempo in
                             Pagina 21

ore : minuti : secondi : decimi di se-
condo. Per avviare il cronometro pre-
mere il tasto SHIFT; i decimi di se-
condo rimangono fermi ma vengono co-
munque conteggiati. Per fermare il
cronometro ripremere di nuovo il tasto
SHIFT. E' possibile leggere anche un
tempo intermedio, premendo un qualsia-
si tasto da F1 a F5. Ripremere uno di
questi tasti per riprendere la lettura
del cronometro. Per azzerare il crono-
metro premere un tasto da F1 a F5
quando il cronometro  fermo. Premere
un tasto da F6 a F0 per uscire dal
cronometro.

La funzione di conto alla rovescia
(countdown oppure CD) permette di far-
si avvisare dopo un determinato tempo
impostato. Entrando nella funzione di
CD, se questa non  attiva viene chie-
sto di impostare il tempo in ore, mi-
nuti e secondi che deve trascorrere.
Il passaggio al campo successivo av-
viene premendo il tasto ENTER. Dopo
aver impostato i secondi e premuto
Pagina 22

ENTER, viene chiesto se avviare il CD.
Una volta avviato si pu continuare a
lavorare tranquillamente con le altre
funzioni. Allo scadere del tempo, si
verr avvisati con una serie di segna-
li acustici. Se il CD  attivo, en-
trando nella funzione viene visualiz-
zato il tempo rimanente; a questo pun-
to premendo il tasto F0 si esce dalla
funzione, premendo il tasto F1 si pu
modificare il tempo, oppure premendo
il tasto F5 si azzera il tempo e si
annulla il CD.

7.5 La calcolatrice

MB408L dispone di una potente ma sem-
plice calcolatrice scientifica a 13
decimali pi 3 cifre di esponente. At-
tivando la funzione di calcolatrice
sui caratteri di controllo appare la
scritta CC. Il campo di inserimento
del numero  delimitato da due carat-
teri pieni. Sulla destra del campo di
inserimento appare il tipo di visua-
lizzazione attiva al momento:
                             Pagina 23

DEG = numeri decimali e gradi sessage-
simali.
RAD = numeri decimali e radianti.
HEX = numeri esadecimali.

Per eseguire un'operazione, basta in-
serire un numero tramite la tastiera
Braille (oppure la tastiera esterna) e
selezionare l'operazione attraverso i
tastierini di controllo. Quando si sta
impostando un numero, appare un punto
all'estrema destra del campo di inse-
rimento per indicare che  possibile
modificare il numero cancellando
l'ultima cifra (attraverso il tasto
BACKSPACE) oppure azzerare il campo
premendo una volta F0. Se il tasto F0
viene premuto due volte consecutive,
oltre che ad azzerare il campo vengono
annullate anche tutte le operazioni
pendenti. Durante la fase di inseri-
mento di un numero  possibile attiva-
re e impostare l'esponente premendo il
tasto S-F0. Alla destra del numero ap-
pare la scritta "e+" per indicare che
si pu inserire l'esponente. Ripremen-
Pagina 24

do il tasto S-F0 si torna
all'inserimento del numero e
l'indicazione di esponente passa dalla
"e" minuscola alla "E" maiuscola.

Proviamo ora ad eseguire il seguente
calcolo:

100 pi 23 per 4 meno 63

Per eseguire questa operazione, biso-
gna procedere nel seguente modo:

- inserire il numero 100
- premere il tasto F1 "pi" (sulla ri-
ga Braille scompare il puntino)
- inserire il numero 23
- premere il tasto F3 "per" (sulla ri-
ga Braille scompare il puntino)
- inserire il numero 4
- premere il tasto F2 "meno" (sulla
riga Braille scompare il puntino e ap-
pare il risultato dell'operazione 100
pi 23 per 4 = 192)
- inserire il numero 63
- premere il tasto F5 "uguale" (sulla
                             Pagina 25

riga Braille scompare il puntino e ap-
pare il risultato dell'operazione =
129)

La lista delle operazioni disponibili
 la seguente:

F1: somma
F2: sottrazione
F3: moltiplicazione
F4: divisione
F5: uguale
F6: percento oppure operazione logica
OR in modalit esadecimale
F7: reciproco (1/x) oppure operazione
logica AND in modalit esadecimale
F8: inverte il segno oppure operazione
logica XOR in modalit esadecimale
F9: eleva al quadrato oppure comple-
mento a 1 (NOT) in modalit esadecima-
le
F0: cancella
S-F1: coseno
S-F2: seno
S-F3: tangente
S-F4: converte cm in pollici
Pagina 26

S-F5: converte litri in galloni ameri-
cani
S-F6: converte chilogrammi in libbre
S-F7: converte grammi in once
S-F8: converte gradi Celsius in gradi
Fahrenheit
S-F9: radice quadrata
S-F0: attiva esponente
S-LF: commuta da numeri decimali a
esadecimali (DEG oppure HEX)
L-F1: arcocoseno
L-F2: arcoseno
L-F3: arcotangente
L-F4: converte pollici in cm
L-F5: converte galloni americani in
litri
L-F6: converte libbre in chilogrammi
L-F7: converte once in grammi
L-F8: converte gradi Fahrenheit in
gradi Celsius
L-F9: eleva X alla Y
L-F0: esce dalla calcolatrice
SL-F1: logaritmo naturale
SL-F2: logaritmo in base 10
SL-F3: antilogaritmo naturale
SL-F4: antilogaritmo in base 10
                             Pagina 27

SL-F5: fattoriale
SL-F6: commuta fra gradi sessagesimali
e radianti (DEG oppure RAD)
SL-F7: richiama un numero memorizzato
oppure una constante. Sono attivi i
tasti da F1 a F0 (per le memorie) e da
S-F1 a S-F0 (per le costanti). Le co-
stanti memorizzate sono:

S-F1: velocit della luce.
S-F2: accelerazione gravitazionale.
S-F3: massa elettrone.
S-F4: carica elettrone.
S-F5: costante di Plank.
S-F6: numero di Avogadro.
S-F7: costante ideale dei gas.
S-F8: gravit universale.
S-F9: pi-greco.
S-F0: 2 pi-greco.

SL-F8: memorizza un numero. Sono atti-
vi i tasti: da F1 a F0.
SL-F9: radice Y di X
SL-F0: visualizza la lista delle fun-
zioni. Sono attivi i seguenti tasti:
Pagina 28

F1,SL-DN = help relativo al tasto.
RG = riga successiva.
LF = riga prececedente.
UP = funzione precedente.
DN = funzione successiva.
L-F0 = uscita dalla funzione.

7.6 Il trasferimento dei file

Per trasferire i file dal PC a MB408L
e viceversa  necessario usare il pro-
gramma "FTRAN.EXE" fornito con
l'apparecchiatura. Questo programma
gestisce completamente il trasferimen-
to dei file e funziona indipendente-
mente dal programma residente
MB408L.EXE.

I parametri che seguono sono necessari
per specificare l'operazione desidera-
ta; essi vanno indicati sulla linea
comandi del DOS e possono essere
scritti indifferentemente in caratteri
maiuscoli o minuscoli.
                             Pagina 29

C> FTRAN [/F,nomefile] [/n]
[/B,ind,int]

/F,nomefile = trasferisci il file
"nomefile" dal PC a MB408L.

In "nomefile" possono anche venire
specificati i caratteri jolly "*" e
" ?" per indicare un gruppo di file,
secondo le convenzioni del DOS (per
esempio, "*.txt" per indicare tutti i
file con estensione .txt). Pu anche
essere specificato un percorso di ri-
cerca desiderato.

Se questo parametro non viene indica-
to, il programma si predispone per il
trasferimento dei file da MB408L al
PC.

La porta seriale da utilizzare viene
indicata con uno dei due rimanenti pa-
rametri; solo uno di questi deve esse-
re specificato.
Pagina 30

Il parametro /n specifica la porta se-
riale a cui  collegato MB408L; "n"
pu assumere i valori 1 oppure 2, ri-
spettivamente COM1 o COM2. Se non spe-
cificato, viene utilizzata la porta
COM1.

/B,ind,int = definisce i parametri
della porta seriale da utilizzare per
la comunicazione. Questo parametro si
deve usare in alternativa al parametro
/n quando si utilizza una porta seria-
le non standard. Il parametro "ind" 
l'indirizzo base della porta seriale,
mentre "int"  l'interrupt associato
alla porta seriale. Si possono speci-
ficare i due valori sia in decimale
che in esadecimale, facendo precedere
il numero dal simbolo "$" in
quest'ultimo caso. Consultare la docu-
mentazione relativa alla propria sche-
da seriale per individuare i valori da
specificare. Vediamo alcuni esempi :

/B,$03F8,4  specifica i valori stan-
dard per la COM1
                             Pagina 31

/B,$02F8,3  specifica i valori stan-
dard per la COM2

Se il programma FTRAN viene lanciato
senza specificare il nome del file da
trasferire, il programma stesso si
mette in attesa del file da MB408L,
emettendo un beep ogni secondo. Questa
segnalazione acustica indica che il
programma  attivo ed  in attesa di
dati dal terminale Braille; al momento
della sua attivazione, questo program-
ma va ad impegnare il canale seriale
utilizzato dal programma residente e
quindi non  pi possibile leggere lo
schermo del PC. Per uscire dallo stato
di attesa e terminare il programma,
premere il tasto ESC sulla tastiera
del PC.

Vediamo ora alcuni esempi di utilizzo
del programma FTRAN.

Esempio 1: vogliamo trasferire il file
"prova.txt" su MB408L. Il terminale 
collegato alla porta COM2. Battiamo
Pagina 32

dal DOS il comando:

C> ftran /f,prova.txt /2

Il trasferimento inizia automaticamen-
te, senza effettuare nessuna altra
operazione; sulla riga Braille viene
indicato il nome del file in trasferi-
mento, la sua dimensione totale ed il
numero di byte gi trasferiti.

Al termine del trasferimento, viene
chiesto di premere il tasto F0, quindi
si ritorna al prompt del DOS.

In caso di errori, il programma termi-
na riportando un opportuno messaggio.

Esempio 2: vogliamo scaricare dal ter-
minale Braille sul PC i file
"prova.txt" e "prova1.txt". Il termi-
nale  collegato alla porta COM1. Lan-
ciare il programma di trasferimento
con il comando:

C> ftran
                             Pagina 33

Il programma si pone in attesa di dati
dal terminale Braille, emettendo un
beep ogni secondo. Procedere ora come
segue:

- Premere il tasto F0 per entrare nel-
le funzioni interne.
- Premere il tasto RG finch non  vi-
sualizzato il file "prova.txt".
- Premere il pulsantino sopra il nome
del file per marcarlo, in questo modo
appare una "M" a fianco del nome.
- Premere il tasto RG finch non  vi-
sualizzato il file "prova1.txt".
- Premere il pulsantino sopra il nome
per marcare anche questo file.
- Premere il tasto S-F7 per avviare il
trasferimento; viene indicato il nome
del file in trasferimento, la sua di-
mensione ed il numero di byte gi tra-
sferiti. Al termine del trasferimento
viene chiesto di premere il tasto F0.
- Premere di nuovo F0 per uscire dalle
funzioni interne.
Pagina 34

- Premere il tasto ESC sulla tastiera
del PC per terminare il programma di
trasferimento e ritornare al DOS.

Quando il programma di trasferimento 
in attesa di dati dal terminale Brail-
le,  possibile comunque trasferire
dei file dal PC a MB408L; per avviare
il trasferimento si deve premere il
tasto F7 del terminale.

Con la tastiera Braille inserire il
nome del file da trasferire e premere
ENTER per avviare il trasferimento. Al
termine del trasferimento viene chie-
sto di premere il tasto F0 di confer-
ma. Eventualmente inserire un nuovo
nome di file da trasferire, oppure
premere il tasto ESC sulla tastiera di
MB408L per tornare alle funzioni in-
terne.

7.7 L'unit a dischetti esterna

Il terminale Braille MB408L  in grado
di gestire una unit a dischetti
                             Pagina 35

esterna tramite la porta seriale ausi-
liaria (AUX). Pi precisamente, gesti-
sce l'unita esterna prodotta da Blazie
Engineering. Per il funzionamento 
necessario avere uno speciale cavetto
di collegamento da acquistare con
l'unit o come accessorio opzionale,
se si  gi in possesso dell'unit.

Collegare il cavetto alla porta seria-
le di MB408L identificata come AUX e
l'estremit opposta all'unit a di-
schetti. Per quanto riguarda le segna-
lazioni acustiche dell'unit a di-
schetti e la ricarica della batteria
della stessa, riferirsi al suo manua-
le.

Una volta collegata l'unit, inserire
il dischetto che si vuole leggere o
scrivere e accendere il drive con
l'apposito interruttore posto sul re-
tro.
Pagina 36

Ora l'unit  pronta, per accedere al
contenuto del dischetto premere il ta-
sto F2 dalle funzioni interne.

Viene letto il contenuto del dischetto
e attivata la gestione dello stesso;
questa  molto simile alla gestione
dei file di MB408L. Sui caratteri di
controllo appaiono le lettere DK e
vengono mostrati i file presenti e la
quantit di spazio disponibile. Pre-
mendo il tasto RG viene mostrato il
nome del volume del dischetto e la di-
rectory corrente. Premendo ancora RG
viene mostrato il primo file. I nomi
dei file sono sempre in ordine alfabe-
tico e preceduti dai nomi delle direc-
tory.

Per visualizzare il contenuto del di-
schetto si utilizzano i tasti freccia
e i file vengono marcati nello stesso
modo della gestione file interna, uti-
lizzando cio i pulsanti "touch". Se
viene premuto un touch sul nome di una
directory (indicata con <DIR>) si en-
                             Pagina 37

tra nella stessa. Per ritornare indie-
tro ed uscire dalla directory, premere
il touch sul nome file "..  <DIR> ".

Per copiare uno o pi file nella memo-
ria di MB408L, bisogna marcare i file
con i touch e premere in tasto F7 per
avviare il trasferimento.

Per trasferire i file dalla memoria di
MB408L sul dischetto, bisogna prima
marcare i file da trasferire, poi at-
tivare la gestione del dischetto (con
il tasto F2 delle funzioni interne) e
portarsi nella directory dove si vo-
gliono copiare i file precedentemente
marcati. A questo punto basta premere
il tasto S-F7 per copiare sul dischet-
to tutti i file marcati.

All'interno della gestione dischetto
sono attive anche le seguenti funzio-
ni:

F1 = rilegge il contenuto del dischet-
to. Da usare quando si cambia il di-
Pagina 38

schetto per aggiornare la lista dei
file.

F2 = imposta il nome del volume del
dischetto. Viene richiesto il nuovo
nome da assegnare al dischetto. Con-
fermare con il tasto ENTER.

F3 = crea una directory. Viene richie-
sto il nome della directory. Conferma-
re con il tasto ENTER.

F8 = cancella il file puntato al mo-
mento o tutti i file precedentemente
marcati. Questa funzione pu risultare
abbastanza lenta se sono stati marcati
molti file, non  quindi consigliabile
usarla per cancellare tutti i file.

S-F8 = cancella tutti i file della di-
rectory attiva in quel momento. Non
cancella le sottodirectory.

L-F5 = formattazione del dischetto.
Questa funzione permette di formattare
completamente un dischetto. E' possi-
                             Pagina 39

bile formattare un dischetto anche
dalle funzioni interne di MB408L. Se
il dischetto inserito nel drive non 
formattato, MB408L riporta un errore
di comunicazione con l'unit esterna,
in quanto non  in grado di leggere il
contenuto del dischetto. E' quindi ne-
cessario eseguire prima la formatta-
zione del dischetto dalle funzioni in-
terne e solo successivamente attivare
la gestione del dischetto per poter
trasferire i file.

F0 = esce dalla gestione del dischetto

8. Le Funzioni di Servizio

Per accedere al men delle funzioni di
servizio, bisogna premere e rilasciare
il tasto F1 durante l'accensione del
display Braille, pi precisamente
quando viene visualizzata la scritta
"MB408L BIOS vn.nn" (n.nn  la versio-
ne del Bios). Tutte le funzioni defi-
nite vengono attivate battendo uno dei
tasti F1-F0.
Pagina 40

E' possibile leggere la lista delle
funzioni battendo i tasti freccia per
spostarsi avanti (tasti RG e DN) e in-
dietro (tasti LF e UP). Di seguito so-
no descritte le funzioni attualmente
definite.

8.1 L'editor del font Braille

F6 = font editor, permette di visua-
lizzare ed eventualmente modificare i
font Braille. Sono presenti 12 font,
11 fissi ed uno personalizzabile
dall'utente.

I primi 11 font non sono modificabili
e vengono riconosciuti con il nome
della lingua o una sigla che ne defi-
nisce lo standard. Il font Braille
normalmente attivato  "EURO437". Il
font 12  il font utente completamente
riconfigurabile. All'inizio questo
font  identico al font EURO437.

Sul display vengono indicati il nome
del font selezionato, il codice ASCII
                             Pagina 41

decimale del carattere selezionato e
la sua codifica Braille, racchiusa tra
due caratteri pieni per facilitarne la
lettura.

Per spostarsi nella lista dei caratte-
ri ASCII utilizzare i tasti freccia
che incrementano e decrementano il co-
dice selezionato. In particolare ab-
biamo:

UP : decrementa di 10.
LF : decrementa di 1.
RG : incrementa di 1.
DN : incrementa di 10.
S-UP oppure S-LF : decrementa di 100.
S-RG oppure S-DN : incrementa di 100.

Inoltre sono attivi i seguenti tasti:

F5 = Torna al codice ASCII 0.
F1 = Seleziona il font precedente.
F6 = Seleziona il font successivo.
SL-F5 = Reset del font utente, che
viene riportato uguale al font sele-
zionato al momento.
Pagina 42

S-F0 = Entra in modo editing, valido
solo se  selezionato il font utente.
F0 = Termina e ritorna al men delle
funzioni di servizio.

In modo editing  possibile modificare
la codifica Braille del codice ASCII
selezionato sul font utente. Sulla
parte sinistra del display appare la
scritta "Edit" al posto di "Font" per
indicare che si  entrati in modo edi-
ting. Il secondo carattere di control-
lo riporta il carattere nella sua con-
figurazione iniziale, prima delle
eventuali modifiche.

In modo editing sono attivi i seguenti
tasti:

F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come po-
sizione, sul carattere.
F5 = attiva tutti gli 8 punti del ca-
rattere.
F0 = disattiva tutti gli 8 punti del
carattere.
                             Pagina 43

S-F0 = esci dal modo editing salvando
le modifiche effettuate sul carattere.
S-F5 = esci dal modo editing senza
salvare le modifiche effettuate.

8.2 Le altre funzioni

F1 = prova del modulo Braille. Utiliz-
zare i tasti freccia per spostarsi tra
le varie sequenze di test. Battendo
SHIFT con un tasto freccia le sequenze
di test vengono ripetute in modo auto-
matico. Battendo di nuovo un tasto
freccia si ritorna in modo manuale. Si
esce da questa funzione con F0.

F2 = prova pulsantini "touch", premen-
do il pulsante sopra il carattere ven-
gono attivati tutti gli otto punti del
carattere stesso se il pulsante viene
letto correttamente. Uscire con F0.

F3 = prova tastierini, viene riportato
il nome del tasto battuto, uscire con
L-F0.
Pagina 44

F4 = selezione del tempo di spegnimen-
to dei caratteri piezo. Permette di
indicare dopo quanto tempo di inatti-
vit del display vengono disattivate
le barre piezo-elettriche dei caratte-
ri Braille. I caratteri si riattivano
automaticamente alla pressione di un
tasto o all'aggiornamento del display.
Sono attivi i tasti da F1 a F4 e i ta-
sti freccia per selezionate 4 tempi
diversi. Si esce da questa funzione
con F0.

F5 = selezione lingua, permette di
passare dai messaggi in Italiano a
quelli in Inglese e viceversa.

F7 = prova della tastiera. Viene ri-
portato il tasto premuto e il codice
ASCII.

F8 = mostra lo stato
dell'alimentazione.
A)"Batteria in carica". Il terminale
sta eseguendo la carica della batte-
ria.
                             Pagina 45

B)"Batteria in mantenimento". Il ter-
minale ha completato un ciclo di cari-
ca.
C)"Batteria in uso". Il terminale sta
funzionando a batteria.
Premere il tasto F0 per tornare la me-
n precedente.

F9 = visualizzazione del tempo di la-
voro dei caratteri piezo. Vengono vi-
sualizzati i tempi "Ton" e "Toff" (in
ore, minuti e secondi). Il valore
"Ton" indica per quanto tempo i carat-
teri piezo sono rimasti attivi, il va-
lore "Toff" per quanto tempo inattivi.
I tempi vengono aggiornati solo quando
il display  acceso. Uscire con F0.

F0 = Uscita dal men delle funzioni di
servizio. Viene effettuato un control-
lo hardware del display e, se il codi-
ce  valido, viene eseguito il pro-
gramma applicativo.

S-F1 = Vengono visualizzati 3 contato-
ri che riportano ore e minuti. Il pri-
Pagina 46

mo contatore "Ton" visualizza il tempo
trascorso con i caratteri attivi,
"Toff" visualizza il tempo trascorso
con i caratteri disattivi (stand-by) e
"Tvir" riporta la somma dei due tempi
considerando solo il 50% del tempo
"Toff" (vedi anche quanto gi descrit-
to riguardo l'utilizzo della batteria
interna).

9. Il programma MBCOM

Il programma "MBCOM.EXE" provvede alla
gestione del trasferimento dati tra PC
e MB408L.

Il suo funzionamento  indipendente
dal fatto che sia attivo o meno il
programma di interfaccia Braille
(MB408L.EXE). I dati che si possono
trasferire tra MB408L e il PC sono di
tre tipi:

- il "file codice", di dimensione
131072 bytes e contenente tutto il
                             Pagina 47

software caricato nella memoria perma-
nente riscrivibile di MB408L.

- il "file parametri", di dimensione
256 bytes e contenente tutti i parame-
tri di configurazione relativi allo
stato delle funzioni di MB408L.

- il "file font", di dimensione 256
bytes e contenente tutto il font
Braille definito dall'utente.

9.1 Il trasferimento dati

Il programma mbcom.exe permette il
trasferimento di file codice, parame-
tri e font dal PC a MB408L e vicever-
sa. Le funzioni descritte in questo
paragrafo vengono eseguite dal bios
del display, quindi il programma mbcom
tenta di resettare automaticamente il
display Braille e attende la sincro-
nizzazione con il bios. A sincronizza-
zione avvenuta, sulla riga Braille
viene riportata l'operazione di tra-
sferimento in corso.
Pagina 48

Notare che la procedura automatica di
reset del display avviene solo se 
attivo il protocollo numero 1 nel pro-
gramma applicativo.

Nel caso mbcom non riesca a comunicare
con il terminale Braille, rimane in
attesa della sincronizzazione o della
pressione di un tasto sulla tastiera
del PC, emettendo un beep ogni secon-
do. Battendo un tasto qualsiasi,
l'esecuzione di mbcom viene interrotta
e si ritorna al DOS.

Nel caso in cui mbcom non riesca a
sincronizzarsi dopo circa 5 secondi,
provare a spegnere e riaccendere il
display. All'accensione dovrebbe in
ogni caso avvenire la sincronizzazio-
ne, sempre che si sia selezionata la
porta seriale corretta.

I parametri che seguono sono necessari
per specificare l'operazione desidera-
ta; essi vanno indicati sulla linea
comandi del DOS e possono essere
                             Pagina 49

scritti indifferentemente in caratteri
maiuscoli o minuscoli.

C> mbcom [/RC] [/RP] [/RF] [/TC] [/TP]
[/TF] [/ECHO] [/n] [/B,ind,int]

/RC,nomefile = Ricevi codice: trasfe-
risci il codice da MB408L al PC crean-
do il file <nomefile>.
/RP,nomefile = Ricevi parametri: tra-
sferisci i parametri da MB408L al PC
creando il file <nomefile>.
/RF,nomefile = Ricevi font: trasferi-
sci il font utente da MB408L al PC
creando il file <nomefile>.
/TC,nomefile = Trasmetti codice: tra-
sferisci il file codice <nomefile> dal
PC a MB408L.
/TP,nomefile = Trasmetti parametri:
trasferisci il file parametri
<nomefile> dal PC a MB408L.
/TF,nomefile = Trasmetti font: trasfe-
risci il font utente <nomefile> dal PC
a MB408L.
Pagina 50

Solo uno di questi parametri deve es-
sere specificato.

Il parametro /n specifica la porta se-
riale a cui  collegato MB408L; "n"
pu assumere i valori 1, 2, 3 oppure 4
per indicare rispettivamente COM1,
COM2, COM3 e COM4. Se non specificato,
viene utilizzata la porta COM1.

/B,ind,int = definisce la porta seria-
le da utilizzare per la comunicazione.
Questo parametro si deve usare in al-
ternativa al parametro /n quando si
utilizza una porta seriale non stan-
dard. Il parametro "ind"  l'indirizzo
base della porta seriale, mentre "int"
 l'interrupt associato alla porta se-
riale. Si possono specificare i due
valori sia in decimale che in esadeci-
male, facendo precedere il numero dal
simbolo "$" in quest'ultimo caso. Con-
sultare la documentazione relativa al-
la propria scheda seriale per indivi-
duare i valori da specificare. Vediamo
alcuni esempi :
                             Pagina 51

/B,$03F8,4  specifica i valori stan-
dard per la COM1

/B,$02F8,3  specifica i valori stan-
dard per la COM2

/ECHO = permette di eseguire un test
del link seriale. Sul display appare
la scritta "Prova collegamento MB-PC".
Se i dati ricevuti dal PC non sono
corretti, viene emesso un suono basso
ad ogni pacchetto in errore, altrimen-
ti viene emesso un suono acuto ad ogni
pacchetto ricevuto correttamente. Per
uscire dalla funzione di eco battere
un tasto sulla tastiera del PC. Il di-
splay entra nel men delle funzioni di
servizio.

Vediamo ora alcuni esempi di utilizzo
del programma mbcom.exe.

Esempio 1: vogliamo salvare su disco
la configurazione parametri di MB408L,
creando il file "prova.par". Il termi-
nale  collegato alla porta COM2.
Pagina 52

C> mbcom /rp,prova.par /2

Come indicato in precedenza il pro-
gramma mbcom tenta di resettare il di-
splay e si pone in attesa della sin-
cronizzazione, emettendo un segnale
acustico ogni secondo. Se l'operazione
di sincronizzazione avviene corretta-
mente, sulla riga Braille viene ripor-
tata l'operazione in corso e viene
eseguito il salvataggio dei parametri.
Sullo schermo del PC viene indicato
anche lo stato del programma
MB408L.EXE e l'operazione eseguita.

Al termine dell'operazione il program-
ma mbcom rilascia la porta seriale e,
se era attivo il programma MB408L.EXE,
viene riattivato il collegamento nor-
male; diversamente si entra nel men
delle funzioni di servizio. Con il co-
mando "dir" si pu verificare che 
stato creato il file parametri
"prova.par" di 256 bytes.
                             Pagina 53

In caso di errori, il programma termi-
na riportando un opportuno messaggio;
riferirsi all'appendice 3 per una de-
scrizione dei possibili messaggi di
errore.

Esempio 2: vogliamo caricare sul ter-
minale Braille una nuova revisione di
codice, contenuta su disco nel file
"nuovo.cod". L'interfaccia Braille 
attiva e il terminale  collegato alla
porta COM1.

C> mbcom /tc,nuovo.cod

Anche in questo caso la procedura ri-
sulta identica a quella appena de-
scritta, ma sul display appare il nu-
mero del blocco di codice che si sta
trasferendo; il contatore deve rag-
giungere il valore 128. Al termine
dell'operazione il programma mbcom ri-
lascia la porta seriale e, se era at-
tivo il programma MB408L.EXE, viene
riattivato il collegamento normale
eseguendo il nuovo codice appena cari-
Pagina 54

cato. Diversamente si entra nel men
delle funzioni di servizio.

10. Il programma FEDIT

Il programma fedit permette di creare
un file di testo descrittivo di un
font Braille partendo da un file bina-
rio o, viceversa, partendo da un file
di testo descrittivo permette di crea-
re un file binario che pu essere uti-
lizzato come font utente e caricato
sul display Braille.

Con il dischetto originale vengono
forniti tutti i file di testo descrit-
tivi degli 11 font Braille fissi pre-
senti nel display.

I file di testo descrittivi del font
devono avere estensione .FTX, mentre i
file binari devono avere estensione
.FON. Quindi, il programma FEDIT prov-
vede a convertire file .FTX nei corri-
spondenti file .FON e viceversa.
                             Pagina 55

Se si trasferisce su disco il font
utente presente sul display
(utilizzando il programma mbcom con il
parametro /RF)  quindi opportuno in-
dicare un nome di file con estensione
.FON, altrimenti sar necessario rino-
minare il file ricevuto prima di po-
terlo utilizzare con FEDIT.

Per convertire un file binario .FON
nel file di testo .FTX, eseguire il
seguente comando dal DOS:

c> fedit <nomefile>.fon

Al termine, sul disco sar presente
anche un file di nome <nomefile>.ftx.

Il file di testo prodotto pu essere
visualizzato e modificato con un qua-
lunque editor di testi ed ha la strut-
tura che segue.

Sulla prima riga  presente il nome
del font preceduto dal carattere
chiocciola "@"; nel caso del font
Pagina 56

utente il nome deve essere sempre
"USERFONT" e non deve essere modifica-
to.

Segue una tabella di 4 colonne in cui
ogni riga descrive un carattere; le 4
colonne riportano nell'ordine:

- Codice ASCII decimale del carattere
(da 0 a 255).

- Codice ASCII esadecimale del carat-
tere (da 00 a FF).

- Carattere relativo al codice ASCII,
racchiuso tra  parentesi graffe. Si
noti che i primi 32 caratteri di con-
trollo vengono sempre indicati con uno
spazio.

- Codifica Braille del carattere rap-
presentata come  descritto al paragra-
fo 5.6.
                             Pagina 57

Al termine del file vengono riportate
le eventuali combinazioni di punti ri-
petute e quelle non utilizzate.

La larghezza del file  inferiore a 40
colonne e quindi risulta agevole
l'utilizzo di stampanti Braille.

Per produrre un file binario partendo
da un file descrittivo basta eseguire
il programma con la seguente sintas-
si :

c> fedit <nomefile>.ftx

Nel caso di errori nel file descritti-
vo viene visualizzato il tipo di erro-
re e la linea in cui si trova. Se tut-
to  corretto non appaiono errori e
viene creato un file <nomefile>.fon.
Se il nome del font  "USERFONT", il
file prodotto di 256 byte  pronto per
essere trasferito al display Braille
con l'opzione /TF del programma mbcom.
Pagina 58

11. Il programma TESTHW

Il programma testhw.exe  essenzial-
mente un programma diagnostico e, come
tale,  rivolto a personale specializ-
zato. Nella maggior parte dei casi,
pu quindi essere ignorato dall'uten-
te.

Il programma effettua un controllo
sulla presenza delle porte seriali in-
stallate sulla macchina, riportandone
l'indirizzo e il tipo di UART. Verifi-
ca inoltre il tipo di scheda video
presente, indicando se di tipo COLORE
oppure MONOCROMATICO. Infine controlla
la compatibilit nella lettura della
posizione del cursore attraverso la
scheda video, riportando quattro righe
con la posizione del cursore letta at-
traverso il BIOS e attraverso il con-
troller video. Se le posizioni coinci-
dono, non dovrebbero esserci problemi
nell'utilizzo del parametro /X al mo-
mento dell'installazione dell'inter-
                             Pagina 59

faccia Braille MB408L.EXE (vedi par.
5.1 e 5.2).
Pagina 60

Appendice 1

Lista riassuntiva delle funzioni rag-
gruppate per tipo

Nota: tra parentesi viene riportata
l'indicazione data sui due caratteri
di controllo quando si utilizza la
funzione.

FUNZIONI DI SPOSTAMENTO BASE
UP = si sposta di una riga in alto.
DN =si sposta di una riga in basso.
LF = si sposta di 40/36 caratteri a
sinistra.
RG = si sposta di 40/36 caratteri a
destra.
S-UP = tabulazione verticale in alto.
S-DN = tabulazione verticale in basso.
S-LF = simula la pressione del tasto
Pagina Su sulla tastiera del PC.
S-RG = simula la pressione del tasto
Pagina Gi sulla tastiera del PC.
                             Pagina 61

ALTRE FUNZIONI DI SPOSTAMENTO.
F1 = vai all'inizio della finestra at-
tualmente definita.
S-F1 = vai al primo testo presente al-
l'interno della finestra definita.
F2 = vai all'inizio dell'ultima riga
della finestra.
S-F2 = vai all'ultimo testo presente
all'interno della finestra.
F4 = spostati sulla posizione del cur-
sore.
F3 = scorrimento del display a sini-
stra di un carattere.
F8 = scorrimento del display a destra
di un carattere.
SL-F3 = annulla lo scorrimento dei ca-
ratteri.

LA MODALITA' "TESTO COMPRESSO".
F6 = attiva/disattiva la modalit
"testo compresso" (T+/T-).
L-F1 = attiva/disattiva il filtro ca-
ratteri semigrafici (G-/G+).
Pagina 62

LA GESTIONE DEL CURSORE.
L-F5 = attiva/disattiva la visualizza-
zione del cursore (C+/C-).
S-F4 = seleziona il tipo di cursore.
F5 = attiva/disattiva l'aggancio auto-
matico con il cursore (A+/A-).
SL-F5 = attiva/disattiva il ritardo di
aggancio cursore (D+/D-).

LE TABULAZIONI.
S-F3 = vai alla tabulazione orizzonta-
le precedente.
S-F8 = vai alla tabulazione orizzonta-
le successiva.
L-F3 = definisci le tabulazioni oriz-
zontali. Sono attivi i tasti :
 F1-F0=seleziona la tabulazione da im-
postare.
 S-F5=attiva/disattiva la tabulazione.
 UP/LF=decrementa il valore della po-
sizione.
 RG/DN=incrementa il valore della po-
sizione.
 S-F0=riporta la tabulazione in colon-
na 1.
 S-F1=riporta la posizione della prima
                             Pagina 63

colonna su cui  attualmente posizio-
nato il display.
 L-F0=esci dalla funzione.
L-F8= selezione tabulazione verticale.
Sono attivi i tasti :
 UP/LF=decrementa il valore.
 RG/DN=incrementa il valore.
 L-F0=esci dalla funzione.

I MARKER.
F9 = richiama un marker (MK).
Sono attivi i tasti :
 F1-F0=seleziona il marker da richia-
mare.
L-F9 = definizione dei marker.
Sono attivi i tasti :
 F1-F0=seleziona il marker da impost.
 UP=decrementa il valore della riga.
 LF=decrementa il valore della colon.
 RG=incrementa il valore della colon.
 DN=incrementa il valore della riga.
 S-F1=definisci il marker alle coordi-
nate attuali del display.
 S-F0=riporta il marker in colonna 1,
riga 1.
 L-F0=esci dalla funzione.
Pagina 64


LE FINESTRE.
F7 = attiva una delle finestre defini-
te (WN).
Sono attivi i tasti :
 F1-F0=seleziona la finestra da ri-
chiamare.
 S-F1,
 S-F0=definizione automatica delle fi-
nestre.
L-F7 = definizione delle finestre.
Sono attivi i tasti :
 F1-F0=seleziona la finestra da impo-
stare.
 S-F5=seleziona la coppia "RC"
(riga/colonna).
 UP=decrementa il valore della riga.
 LF=decrementa il valore della colon.
 RG=incrementa il valore della colon.
 DN=incrementa il valore della riga.
 S-F0=riporta la finestra a schermo
pieno.
 L-F0=esci dalla funzione.

LA GESTIONE DEGLI ATTRIBUTI TESTO.
S-F6 = attiva/disattiva visualizzazio-
                             Pagina 65

ne attributi testo dei caratteri.
L-F6 = attiva/disattiva visualizza-
zione attributo selezionato (V+/V-).
SL-F6= selezione attributo caratteri.
Sono attivi i tasti :
 F1-F4,
 F6-F9=attiva/disattiva il punto
Braille corrispondente.
 F5=attiva tutti gli 8 punti dell'at-
tributo.
 F0=disattiva tutti gli 8 punti del-
l'attributo.
 S-F5=indica i colori corrispondenti
al codice attributo selezionato.
 L-F0=esci dalla funzione.

ALTRE FUNZIONI DI MB408L.
SL-F0=Help On-line.
Sono attivi i tasti :
 LF=indietro nella lista.
 RG=avanti nella lista.
 UP=prima riga della funz. precedente.
 DN=prima riga della funz. successiva.
 F1,
 SL-F0=descrizione della funzione as-
sociata.
Pagina 66

 L-F0=esci dalla funzione.
L-F2 = seleziona il Font Braille atti-
vo.
S-F5 = seleziona avanzamento a passi
di 40 oppure di 36 caratteri(A2/A1).
L-F8 = attiva/disattiva la segnalazio-
ne acustica associata alla pressione
di un tasto (S+/S-).
S-F9 = attiva/disattiva i punti 7 e 8
del font Braille (B8/B6).
SL-F9 = riporta alcune informazioni
relative alla configurazione video at-
tuale. Sono attivi i tasti :
 UP/LF=indietro nella lista.
 RG/DN=avanti nella lista.
 F0=esci dalla funzione.
SL-F1 = reset totale dei parametri di
MB408L (RT).
SL-F2= reset parziale dei parametri
di MB408L (RP).
L-F0 = seleziona protocollo di comuni-
cazione.
S-F7 = seleziona simulazione mouse o
cursor routing.
SL-F7 =attiva la lettura automatica.
F0 = attiva le funzioni interne.
                             Pagina 67


LA GESTIONE DEL SOFT-CURSOR.
SL-F4 = seleziona i parametri relativi
al Soft-Cursor. Sono attivi i tasti:
 F1-F4,
 F6-F9=attiva/disattiva il punto
Braille corrispondente.
 F5=attiva tutti gli 8 punti dell'at-
tributo.
 F0=disattiva tutti gli 8 punti del-
l'attributo.
 S-F1=modifica il parametro MS.
 S-F2=modifica il parametro PS.
 S-F3=modifica il parametro HC.
 S-F5=indica i colori corrispondenti
al codice attributo selezionato.
 S-F4=definisci riga iniziale e finale
per la ricerca del soft-cursor.
 S-F6=abilita/disabilita l'aatributo.
 L-F0=esci dalla funzione.
L-F4 = seleziona l'Hard-Cursor oppure
il Soft-Cursor (HC/SC).

LE FUNZIONI NON DEFINITE.
Attualmente non  definita la funzione
S-F0.
Pagina 68


Appendice 2
Lista riassuntiva delle funzioni in
ordine di tasto

UP = si sposta di una riga in alto.
DN = si sposta di una riga in basso.
LF = si sposta di 40/36 caratteri a
sinistra.
RG = si sposta di 40/36 caratteri a
destra.

S-UP = tabulazione verticale in alto.
S-DN = tabulazione verticale in basso.
S-LF = simula la pressione del tasto
Pagina Su sulla tastiera del PC.
S-RG = simula la pressione del tasto
Pagina Su sulla tastiera del PC.

F1 = vai all'inizio della finestra at-
tualmente definita.
S-F1 = vai al primo testo presente al-
l'interno della finestra definita.
L-F1 = attiva/disattiva il filtro ca-
ratteri semigrafici (G-/G+).
SL-F1= reset totale dei parametri di
                             Pagina 69

MB408L (RT).

F2 = vai all'inizio dell'ultima riga
della finestra.
S-F2 = vai all'ultimo testo presente
all'interno della finestra.
L-F2 = seleziona il Font Braille.
SL-F2 = reset parziale dei parametri
di MB408L (RP).

F3 = scorrimento del display a sini-
stra di un carattere.
S-F3 = vai alla tabulazione orizzonta-
le precedente.
L-F3 = definisci le tabulazioni oriz-
zontali. Sono attivi i tasti :
 F1-F0=seleziona la tabulazione da im-
postare.
 S-F5=attiva/disattiva la tabulazione.
 UP/LF=decrementa il valore della po-
sizione.
 RG/DN=incrementa il valore della po-
sizione.
 S-F0=riporta la tabulazione in colon-
na 1.
 S-F1=riporta la posizione della prima
Pagina 70

colonna su cui  attualmente posizio-
nato il display.
 L-F0 = esci dalla funzione.
SL-F3= annulla lo scorrimento dei ca-
ratteri.

F4 = spostati sulla posizione del cur-
sore.
S-F4 = seleziona il tipo di cursore.
L-F4 = seleziona l'Hard-Cursor oppu-
re il Soft-Cursor (HC/SC).
SL-F4= seleziona i parametri relativi
al Soft-Cursor.Sono attivi i tasti:
 F1-F4,
 F6-F9 = attiva/disattiva il punto
Braille corrispondente.
 F5 = attiva tutti gli 8 punti del-
l'attributo.
 F0 = disattiva tutti gli 8 punti del-
l'attributo.
 S-F1=modifica il parametro MS.
 S-F2=modifica il parametro PS.
 S-F3=modifica il parametro HC.
 S-F5=indica i colori corrispondenti
al codice attributo selezionato.
 S-F4=definisci riga iniziale e finale
                             Pagina 71

per la ricerca del soft-cursor.
 S-F6=abilita/disabilita attributo.
 L-F0=esci dalla funzione.

F5=attiva/disattiva l'aggancio automa-
tico con il cursore (A+/A-).
S-F5=selezione avanzamento a passi di
40 oppure di 36 caratteri (A2/A1).
L-F5=attiva/disattiva la visualizza-
zione del cursore (C+/C-).
SL-F5= attiva/disattiva il ritardo di
aggancio cursore (D+/D-).

F6=attiva/disattiva la modalit "testo
compresso" (T+/T-).
S-F6=attiva/disattiva visualizzazione
attributi testo dei caratteri.
L-F6=attiva/disattiva visualizzazione
attributo selezionato (V+/V-).
SL-F6=selezione attributo caratteri.
Sono attivi i tasti :
 F1-F4,
 F6-F9=attiva/disattiva il punto
Braille corrispondente.
 F5=attiva tutti gli 8 punti dell'at-
tributo.
Pagina 72

 F0=disattiva tutti gli 8 punti del-
l'attributo.
 S-F5=indica i colori corrispondenti
al codice attributo selezionato.
 L-F0=esci dalla funzione.

F7=attiva una delle finestre definite
(WN).
Sono attivi i tasti:
 F1-F0=seleziona la finestra da ri-
chiamare.
 S-F1,
 S-F0=definizione automatica delle fi-
nestre.

S-F7=seleziona la simulazione mouse o
il cursor routing.
L-F7=definizione delle finestre.
Sono attivi i tasti :
 F1-F0=seleziona la finestra da impo-
stare.
 S-F5=seleziona la coppia "RC"
(riga/colonna).
 UP=decrementa il valore della riga.
 LF=decrementa il valore della colon.
 RG=incrementa il valore della colon.
                             Pagina 73

 DN=incrementa il valore della riga.
 S-F0=riporta la finestra a schermo
pieno.
 L-F0=esci dalla funzione.
SL-F7=attiva la lettura automatica.

F8=scorrimento del display a destra di
un carattere.
S-F8=vai alla tabulazione orizzontale
successiva.
L-F8=selezione tabulazione verticale.
Sono attivi i  tasti :
 UP/LF=decrementa il valore.
 RG/DN=incrementa il valore.
 L-F0=esci dalla funzione.
SL-F8=attiva/disattiva la segnalazione
acustica associata alla pressione di
un tasto(S+/S-).

F9=richiama un marker (MK).
Sono attivi i tasti :
 F1-F0 = seleziona il marker da ri-
chiamare.
S-F9=attiva/disattiva i punti 7 e 8
del font Braille (B8/B6).
L-F9=definizione dei marker.
Pagina 74

Sono attivi i tasti :
 F1-F0=seleziona il marker da impo-
stare.
 UP=decrementa il valore della riga.
 LF=decrementa il valore della colon.
 RG=incrementa il valore della colon.
 DN=incrementa il valore della riga.
 S-F1=definisci il marker alle coordi-
nate attuali del display.
 S-F0=riporta il marker in colonna 1,
riga 1.
 L-F0=esci dalla funzione.
SL-F9=riporta alcune informazioni re-
lative alla configurazione video at-
tuale.
F0=attiva le funzioni interne.
S-F0=non definita
SL-F0=Help On-line.
Sono attivi i tasti :
 LF=indietro nella lista.
 RG=avanti nella lista.
 UP=prima riga della funzione prece-
dente.
 DN=prima riga della funzione succes-
siva.
 F1,SL-F0=descrizione della funzione
                             Pagina 75

associata.
 L-F0=esci dalla funzione.


Appendice 3

A3.1 Gli errori del terminale MB408L

Tipo di errore:Errore nel controllo
memoria eprom. Errore nel controllo
memoria ram. Errore nel controllo ti-
mer.
Ambito..:all'accensione di MB408L.
Descrizione : errori gravi della sche-
da logica interna, rivolgersi al ser-
vizio di assistenza tecnica.

Tipo di errore:Programma utente non
valido.
Ambito..: funzione di servizio F0 op-
pure all'accensione di MB408L.
Descrizione: il codice presente sulla
memoria permanente riscrivibile di
MB408L si  alterato. Questo evento,
piuttosto raro, pu avvenire per in-
terruzioni sulla linea elettrica o,
Pagina 76

pi in generale, per disturbi di tipo
elettro-magnetico. In questo caso ri-
mangono operative solo le funzioni di
servizio e non  pi possibile attiva-
re l'interfaccia Braille. E' necessa-
rio ricaricare il file codice.

Tipo di errore: Parametri BIOS non va-
lidi.
Ambito..: all'accensione di MB408L.
Descrizione: i parametri del BIOS pre-
senti sulla memoria permanente riscri-
vibile di MB408L si sono alterati.
Vengono ricaricati i parametri di de-
fault. Se si aveva una copia dei para-
metri, ricaricarli con il programma
mbcom per ripristinare la situazione
precedente.

Tipo di errore: Errore nel checksum
del pacchetto. Errore di timeout rice-
zione pacchetto. Parametri del pac-
chetto non validi.
Ambito..: durante il trasferimento
del codice, parametri o font.
                             Pagina 77

Descrizione: questi errori indicano un
cattivo comportamento del protocollo
di comunicazione. Dovrebbero comunque
essere errori molto rari. Come conse-
guenza di questi errori viene annulla-
to il trasferimento in corso.

Tipo di errore: Il PC non risponde
Ambito..: durante l'uso normale.
Descrizione: questo errore indica un
cattivo comportamento del protocollo
di comunicazione oppure che il PC non
 collegato. Come conseguenza a questo
tipo di errore, vengono disattivati
tutti i tasti escluso la selezione del
protocollo di comunicazione, che po-
trebbe non essere quello corretto.

Tipo di errore:Parametri applicazione
non validi.
Ambito..: all'avvio del programma
utente di MB408L.
Descrizione: i parametri dell'applica-
zione presenti sulla memoria permanen-
te riscrivibile di MB408L si sono al-
terati. Vengono ricaricati i parametri
Pagina 78

di default. Se si aveva una copia dei
parametri, ricaricarli con il program-
ma mbcom per ripristinare la situazio-
ne precedente.

A3.2 Gli errori del programma
MB408L.EXE

Tipo di errore: Errore nell'apertura
porta seriale.
Ambito..:installazione del programma.
Descrizione: sul PC non  presente la
porta seriale specificata o la porta
seriale  in errore.

Tipo di errore: Errore nella defini-
zione porta seriale.
Ambito..:installazione del programma.
Descrizione: nel parametro /B sono
stati specificati male o l'indirizzo
base oppure l'interrupt della porta
seriale.

Tipo di errore: Programma residente
non installato.
                             Pagina 79

Ambito..: disinstallazione del pro-
gramma.
Descrizione:  stato specificato il
parametro /Q ma il programma non  an-
cora stato installato.

Tipo di errore: Non  possibile sca-
ricare il programma.
Ambito..: disinstallazione del pro-
gramma.
Descrizione:  stato specificato il
parametro /Q, ma sono stati individua-
ti altri programmi residenti in memo-
ria che ne impediscono la disinstalla-
zione.
Procedere quindi alla rimozione dei
programmi residenti caricati succes-
sivamente a MB408L.EXE.

Tipo di errore: Programma residente
gi installato.
Ambito..:installazione del programma.
Descrizione: si sta tentando di cari-
care il programma quando questo  gi
presente in memoria. Tenere presente
che per modificare i parametri di in-
Pagina 80

stallazione,  necessario scaricare
prima il programma con il parametro
/Q.


A3.3 Gli errori del programma
MBCOM.EXE

Tipo di errore: Errore nell'apertura
porta seriale.
Ambito..:al lancio del programma.
Descrizione : sul PC non  presente la
porta seriale specificata o la porta
seriale  in errore.

Tipo di errore: Errore nella defini-
zione porta seriale.
Ambito..:al lancio del programma.
Descrizione:nel parametro /B sono sta-
ti specificati male o l'indirizzo base
oppure l'interrupt della porta seria-
le.

Tipo di errore:Dimensione file non
corretta.
                             Pagina 81

Ambito..: trasmissione file (/TC,
/TP, /TF).
Descrizione:indica che il file codice
specificato sulla linea comandi del
DOS non  di dimensione corretta.

Tipo di errore: File non trovato o
errore di lettura file sorgente.
Ambito..: trasmissione file (/TC,
/TP, /TF).
Descrizione: indica che il file speci-
ficato sulla linea comandi del DOS non
 stato trovato, oppure non viene let-
to correttamente dal disco.

Tipo di errore:Errore di scrittura fi-
le destinazione.
Ambito..: ricezione file (/RC, /RP,
/RF).
Descrizione: indica che i dati appena
ricevuti non possono essere scritti
correttamente poich lo spazio  in-
sufficiente o il disco  difettoso.

Tipo di errore: Errore nell''intesta-
zione pacchetto.
Pagina 82

Errore timeout ricezione pacchetto.
Errore nel checksum pacchetto.
Errore nel protocollo.
Ambito..: durante il trasferimento
del codice, parametri o font.
Descrizione: questi errori indicano un
cattivo comportamento del protocollo
di comunicazione. Dovrebbero comunque
essere errori molto rari. Come conse-
guenza di questi errori viene annulla-
to il trasferimento in corso.

